# 设备功能块使用说明

## 通用读取 Modbus 值(Name) (ModbusCommonReadNameBp)

### 描述
本块用于通过设备名称和地址读取Modbus设备的值。

### 输入参数

| 参数名       | 是否必填 | 类型     | 描述       |
|-------------|---------|----------|------------|
| instanceName | 必填    | String   | Name       |
| address     | 选填    | Integer  | 地址编号    |
| remark      | 选填    | String   | 地址说明    |

### 上下文变量

| 变量名       | 类型     | 描述       |
|-------------|----------|------------|
| modbusValue | String   | Modbus值    |

### 输出参数
无

## 通用等待 Modbus 值(Name) (ModbusCommonWaitNameBp)

### 描述
本块用于等待Modbus设备的值达到目标值。

### 输入参数

| 参数名       | 是否必填 | 类型     | 描述       |
|-------------|---------|----------|------------|
| targetValue | 必填    | Integer  | 目标值      |
| instanceName | 必填    | String   | Name       |
| address     | 选填    | Integer  | 地址编号    |
| remark      | 选填    | String   | 地址说明    |

### 上下文变量
无

### 输出参数
无

## 通用写入 Modbus 值(Name) (ModbusCommonWriteNameBp)

### 描述
本块用于向Modbus设备写入新值。

### 输入参数

| 参数名       | 是否必填 | 类型     | 描述       |
|-------------|---------|----------|------------|
| newValue    | 必填    | Integer  | 写入值      |
| instanceName | 必填    | String   | Name       |
| address     | 选填    | Integer  | 地址编号    |
| remark      | 选填    | String   | 地址说明    |

### 上下文变量
无

### 输出参数
无