-- 创建数据库（如果不存在）
CREATE DATABASE IF NOT EXISTS tianfeng_task CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- 使用数据库
USE tianfeng_task;

-- 创建用户并授权（如果不存在）
CREATE USER IF NOT EXISTS 'tianfeng'@'%' IDENTIFIED BY 'tianfeng';
GRANT ALL PRIVILEGES ON tianfeng_task.* TO 'tianfeng'@'%';
FLUSH PRIVILEGES;

-- 初始化基础数据可以在这里添加
-- 注意：大部分表结构会由SQLAlchemy自动创建，这里主要是为了初始化一些基础数据 